corda / net.corda.core.contracts / TypeOnlyCommandData

# TypeOnlyCommandData

`abstract class TypeOnlyCommandData : CommandData`

Commands that inherit from this are intended to have no data items: it's only their presence that matters.

### Constructors

<init> | `TypeOnlyCommandData()` Commands that inherit from this are intended to have no data items: it's only their presence that matters.

### Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`

### Inheritors

Create | `class Create : TypeOnlyCommandData, Commands`
Create | `class Create : TypeOnlyCommandData, Commands`
Issue | `class Issue : TypeOnlyCommandData, Commands`
Move | `class Move : TypeOnlyCommandData, Commands`
Move | `class Move : TypeOnlyCommandData, Commands`
Move | `class Move : TypeOnlyCommandData, Commands`
Redeem | `class Redeem : TypeOnlyCommandData, Commands`
Redeem | `class Redeem : TypeOnlyCommandData, Commands`